// SPDX-FileCopyrightText: Adam Evyčędo
//
// SPDX-License-Identifier: GPL-3.0-or-later

package xyz.apiote.bimba.czwek.dashboard

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import xyz.apiote.bimba.czwek.repo.Place

class DashboardViewModel : ViewModel() {

	private val _origin = MutableLiveData<Place>()
	val origin: LiveData<Place> = _origin

	fun setOrigin(o: Place) {
		_origin.value = o
	}

	private val _destination = MutableLiveData<Place>()
	val destination: LiveData<Place> = _destination

	fun setDestination(d: Place) {
		_destination.value = d
	}

}
